<?xml version="1.0" encoding="UTF-8"?>
<project default="toDot" name="fr.n7.simplepdl.todot">
    <property name="ECLIPSE_HOME" value="C:/Program Files (x86)/eclipse-modeling-oxygen-2-win32-x86_64"/>
    <property name="ECLIPSE_WORKSPACE" value="../.."/>

    <!-- The classpath with only the dependencies used by the project -->
    <path id="fr.n7.simplepdl.todot.libraryclasspath">
        <pathelement location="${ECLIPSE_WORKSPACE}/fr.n7.simplepdl.todot/bin"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.runtime_3.13.0.v20170207-1030.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/javax.inject_1.0.0.v20091030.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi_3.12.50.v20170928-1321.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi.compatibility.state_1.1.0.v20170516-1513.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.common_3.9.0.v20170207-1454.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.jobs_3.9.2.v20171030-1027.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.registry_3.7.0.v20170222-1344.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.preferences_3.7.0.v20170126-2132.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.contenttype_3.6.0.v20170207-1037.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.app_1.3.400.v20150715-1528.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore_2.13.0.v20170609-0707.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.common_2.13.0.v20170609-0707.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore.xmi_2.13.0.v20170609-0707.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl_3.6.200.v20170522-1736.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/lpg.runtime.java_2.0.17.v201004271640.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.common_1.4.200.v20160613-1518.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.ecore_3.6.200.v20170522-1736.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.common_3.7.2.201708211328.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.model_3.7.2.201708211328.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.profiler_3.7.2.201708211328.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.engine_3.7.2.201708211328.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen.ecore_2.13.0.v20170609-0928.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen_2.12.0.v20170609-0928.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/com.google.guava_21.0.0.v20170206-1425.jar"/>
    </path>

    <path id="fr.n7.simplepdl.todot.classpath">
        <path refid="fr.n7.simplepdl.todot.libraryclasspath"/>
    </path>

    <!-- The classpath with only the jars available in the plugin folder of Eclipse -->
    <path id="fr.n7.simplepdl.todot.libraryclasspath.alljars">
        <pathelement location="../fr.n7.simplepdl.todot/bin"/>
        <fileset dir="${ECLIPSE_HOME}/plugins/" includes="*.jar"/>
    </path>

    <path id="fr.n7.simplepdl.todot.classpath.alljars">
        <path refid="fr.n7.simplepdl.todot.libraryclasspath.alljars"/>
    </path>

    <!-- The default task with the jars used by this project -->
    <target name="toDot">
        <java classname="fr.n7.simplepdl.todot.main.ToDot" classpathref="fr.n7.simplepdl.todot.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>

    <!--
        In case of problem you can also try with all the jar available in your Eclipse
        Keep in mind that having two versions of the same jar can create problems
    -->
    <target name="toDot.alljars">
        <java classname="fr.n7.simplepdl.todot.main.ToDot" classpathref="fr.n7.simplepdl.todot.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>
</project>
